Webhooks
List delivery logs
Returns paginated delivery logs for a webhook with optional status, event type, and date range filters.
GET
/
api
/
p
/
v
{version}
/
webhooks
/
{webhookId}
/
delivery-logs
List delivery logs
curl --request GET \
--url https://integrations.alvys.com/api/p/v{version}/webhooks/{webhookId}/delivery-logs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://integrations.alvys.com/api/p/v{version}/webhooks/{webhookId}/delivery-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://integrations.alvys.com/api/p/v{version}/webhooks/{webhookId}/delivery-logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://integrations.alvys.com/api/p/v{version}/webhooks/{webhookId}/delivery-logs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://integrations.alvys.com/api/p/v{version}/webhooks/{webhookId}/delivery-logs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://integrations.alvys.com/api/p/v{version}/webhooks/{webhookId}/delivery-logs")
.header("Authorization", "Bearer <token>")
.asString();{
"Page": 123,
"PageSize": 123,
"Total": 123,
"Items": [
{
"Id": "<string>",
"EventId": "<string>",
"EventType": "<string>",
"Status": "<string>",
"DurationMs": 123,
"AttemptNumber": 123,
"Timestamp": "2023-11-07T05:31:56Z",
"ConsumerUrl": "<string>",
"HttpStatusCode": 123,
"ErrorMessage": "<string>"
}
],
"Facets": {}
}{
"Errors": {},
"Type": "<string>",
"Title": "<string>",
"Status": 123,
"Detail": "<string>",
"Instance": "<string>"
}{
"Type": "<string>",
"Title": "<string>",
"Status": 123,
"Detail": "<string>",
"Instance": "<string>"
}{
"Type": "<string>",
"Title": "<string>",
"Status": 123,
"Detail": "<string>",
"Instance": "<string>"
}{
"Type": "<string>",
"Title": "<string>",
"Status": 123,
"Detail": "<string>",
"Instance": "<string>"
}{
"Type": "<string>",
"Title": "<string>",
"Status": 123,
"Detail": "<string>",
"Instance": "<string>"
}Returns paginated delivery logs for a webhook with optional status, event type, and date range filters.
Authorizations
OAuth 2.0 client-credentials access token. Obtain one from https://auth.alvys.com/oauth/token (grant_type=client_credentials, audience=https://api.alvys.com/public/), then paste it here. The playground sends it as Authorization: Bearer <token>.
Path Parameters
API version (e.g., 1.0)
Example:
"1.0"
Query Parameters
Was this page helpful?
⌘I
List delivery logs
